Skip to content
Permalink
Browse files

Allow user to set $PY in ci.sh

If not set, will resolve to the Python version being used. We should allow the user to set it though in cases like this PR, where we may have to set $PY to a very specific interpreter path.
  • Loading branch information...
Eric-Arellano committed Feb 26, 2019
1 parent 49fe576 commit 8dd215d7e0630fceb61ed7163c453b36e2786fda
Showing with 1 addition and 1 deletion.
  1. +1 −1 build-support/bin/ci.sh
@@ -116,7 +116,7 @@ else
py_major_minor="2.7"
bootstrap_pants_script="./pants"
fi
export PY="python${py_major_minor}"
export PY="${PY:-python${py_major_minor}}"

# Also set PANTS_PYTHON_SETUP_INTERPRETER_CONSTRAINTS. We set this to the exact Python version
# to resolve any potential ambiguity when multiple Python interpreters are discoverable, such as

0 comments on commit 8dd215d

Please sign in to comment.
You can’t perform that action at this time.